﻿Imports System.Text

Public Class Form1

    Private ReadOnly HackerList As String = IO.Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "Hackers.txt")

    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click

        If Not String.IsNullOrWhiteSpace(TextBox1.Text) Then
            addUC(TextBox1.Text)
            TextBox1.Clear()
        End If

    End Sub

    Private Sub Button2_Click(sender As System.Object, e As System.EventArgs) Handles Button2.Click
        Dim ToRemove As New List(Of MyUserControl)
        Dim MyUC As MyUserControl
        For Each c As Control In FlowLayoutPanel1.Controls
            If TypeOf (c) Is MyUserControl Then
                MyUC = CType(c, MyUserControl)
                If MyUC.Checked Then
                    ToRemove.Add(MyUC)
                End If
            End If
        Next
        For Each MyUC In ToRemove
            MyUC.Parent.Controls.Remove(MyUC)
        Next
    End Sub

    Sub addUC(name As String)
        Dim MyUC As MyUserControl = New MyUserControl()
        MyUC.AutoSize = True
        MyUC.Text = name
        FlowLayoutPanel1.Controls.Add(MyUC)
    End Sub

    Private Sub Form1_FormClosing(sender As Object, e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing

        Dim Hackers As New StringBuilder

        For Each c As Control In FlowLayoutPanel1.Controls
            If TypeOf (c) Is MyUserControl Then
                Dim MyUC As MyUserControl = CType(c, MyUserControl)
                Hackers.AppendLine(MyUC.Text)
            End If
        Next

        Hackers.ToString()
        IO.File.WriteAllText(HackerList, Hackers.ToString())
    End Sub

    Private Sub Form1_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        If IO.File.Exists(HackerList) Then
            For Each n As String In IO.File.ReadAllLines(HackerList).ToList
                addUC(n)
            Next
        End If
    End Sub

End Class
